/* GNU polyxmass - the massist's program.
   -------------------------------------- 
   Copyright (C) 2000,2001,2002 Filippo Rusconi

   http://www.polyxmass.org

   This file is part of the "GNU polyxmass" project.
   
   The "GNU polyxmass" project is an official GNU project package (see
   www.gnu.org) released ---in its entirety--- under the GNU General
   Public License and was started at the Centre National de la
   Recherche Scientifique (FRANCE), that granted me the formal
   authorization to publish it under this Free Software License.

   This software is free software; you can redistribute it and/or
   modify it under the terms of the GNU  General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This software is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.
   
   You should have received a copy of the GNU  General Public
   License along with this software; if not, write to the
   Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/

#ifndef PXMCHEM_PLUGIN_H
#define PXMCHEM_PLUGIN_H

#include "pxmchem-globals.h"


/* See the pxmchem-globals.c file.
 */
extern gchar *
(*pxmchem_prop_formatter_xml_prop_plugin) (PxmProp *prop,
					   gchar *indent,
					   gint offset,
					   gpointer data);


extern PxmProp *
(*pxmchem_prop_renderer_xml_prop_plugin) (xmlDocPtr xml_doc,
					  xmlNodePtr xml_node,
					  gpointer user_data);


gpointer
pxmchem_prop_choose_format_xml_prop_plugin (gchar *name);


gpointer
pxmchem_prop_choose_render_xml_prop_plugin (gchar *name);

























#endif
